# ascode 
[![RubyGem Version](https://img.shields.io/gem/v/ascode.svg?style=flat-square)](https://rubygems.org/gems/ascode) [![RubyGem Downloads](https://img.shields.io/gem/dt/ascode.svg?style=flat-square)](https://rubygems.org/gems/ascode)     

> **Experimental esoteric golfing language**  

- [Getting Started](#getting-started)
- [Examples](#examples)
- [Features](#features)

### Getting Started

###### Install

```bash
gem install ascode
```

###### Run

> Function reference is available in [`docs/functions.md
`](https://github.com/u32i64/ascode/blob/master/docs/functions.md).

```bash
ascode 'your code here'
```

### Examples

```bash
$ ascode '"Number: "Oe["Even":"Odd"]O'
Number: 10
Even
```

```bash
$ ascode 'D1+*2S/' # or '2ID1+*/'
100
5050
```

### Features
- Implicit input/output
    - If you did not output anything, `O` (`output` function) will be called at the end of the program.
    - During `pop`, if the value is not in the stack, it will be grabbed via `I` (`input` function).
