# Functions

- [`IO`](#io)
- [`Environment`](#environment)
- [`Conditions`](#conditions)
- [`Math`](#math)

##### IO

Function|`pop`s|`push`es|Description
---|---|---|---
`I`| |`a`|`stdin` -> `a`
`O`|`a`| |`a` -> `stdout`
`N`| | |`\n` -> `stdout`

##### Environment

Function|`pop`s|`push`es|Description
---|---|---|---
`P`|`a`| |
`C`|`a`| |`a` -> `Register`
`V`| |`a`|`Register` -> `a`
`S`|`a`, `b`|`a`, `b`|Swaps first two elements in the stack
`D`|`a`|`a`, `a`|Duplicates first element in the stack

##### Conditions

> `a` = `pop`    
> Condition is false if `a` is `0` or `false`

Syntax: `[` **ascode for true** `:` **ascode for false** `]`

##### Math

Function|`pop`s|`push`es|Description
---|---|---|---
`+`|`a`, `b`|`c`|`c` = `a` + `b`
`-`|`a`, `b`|`c`|`c` = `a` - `b`
`/`|`a`, `b`|`c`|`c` = `a` / `b`
`*`|`a`, `b`|`c`|`c` = `a` * `b`
`i`|`a`|`b`|`b` = `a` + `1`
`d`|`a`|`b`|`b` = `a` - `1`
`>`|`a`, `b`|`c`|`c` = `1` if `a` > `b`, `0` otherwise
`<`|`a`, `b`|`c`|`c` = `1` if `a` < `b`, `0` otherwise
`=`|`a`, `b`|`c`|`c` = `1` if `a` = `b`, `0` otherwise
`e`|`a`|`b`|`b` = `1` if `a` is even, `0` otherwise
`!`|`a`|`b`|`b` = `1` if `a` = `0`, otherwise `0`
`s`|`a`|`b`|`b` = `-1` * `a`
